#include <jni.h>

#ifndef _SERIAL_PORT
#define _SERIAL_PORT
#ifdef __cplusplus
extern "C" {
#endif

JNIEXPORT void JNICALL
Java_com_laseroptek_raman_data_source_serial_SerialPort_open(JNIEnv *, jobject, int, int);

JNIEXPORT void JNICALL
Java_com_laseroptek_raman_data_source_serial_SerialPort_write(JNIEnv *, jobject, int, jbyteArray);

JNIEXPORT void JNICALL
Java_com_laseroptek_raman_data_source_serial_SerialPort_close(JNIEnv *, jobject, int);

#ifdef __cplusplus
}
#endif
#endif